History of changes

List of changes between releases

This is a high-level summary of changes between each release. If you're
interested in the detailed changes, take a look at the individual code changes.

April 3, 2015

Interim release 0.9.2b

This is a minor release that mainly brings these popular new parts:

  • RaspberryPi 2, the new version of the Model B
  • WeIO web of things platform
  • RaspIO Duino microcontroller
  • DQuid IO microcontroller
  • STM32 Nucleo microcontroller
  • SODAQ Mbili microcontroller
  • Netduino Plus2 microcontroller
  • SIM928A GSM module
  • Large 8x8 LED matrix (the one used in the Fritzing Creator Kits)
  • WS2812, the popular RGB SMD LED
  • Plus various part bug fixes to pin headers, FET, Arduino FIO & Yun

New Translations

  • Romanian, thanks to titus08

Dec. 2, 2014

Main release 0.9.1b

It's Fritzmas! Check out the new Code View, and many new parts. and maybe even
a Creator Kit for a special Fritzmas price.

Code View

The new Code View lets you edit and upload your program straight from Fritzing.
Now you can keep your code together with your circuit!

New Parts

  • Seeeduino, Grove, and more, thanks to SeeedStudio
  • Intel Galileo Gen. 2, Edison, and more, supported by Intel Software
  • Raspberry Pi B+ and RPi Hat template
  • Pinocc.io Scout, Backpack supported byPinocc.io
  • LightBlue Bean, supported by Punchthrough
  • UDOO Duo/Quad, supported by Udoo
  • Touch Board, supported by Bare Conductive
  • blueIOT, thanks to Guido Burger
  • More SparkFun parts, thanks to SparkFun
  • and a couple of smaller components

Bug fixes

  • Jumper wire couldn’t be resized
  • Traces were sometimes displaced after file load
  • Windows 8: printing didn’t work
  • Linux: Gerber export, ground fill, autorouting broken if OS language was
    set to non-English
  • and various part definition fixes

Developers

  • Simplified build setup for Windows (less dependencies)
  • Moved source code to github
  • Documented command line options

Updated Translations

  • German, thanks to Atalanttore
  • French, thanks to klostery

July 14, 2014

Main release 0.9.0b

  • upgraded to Qt5 (5.2.1, to be precise)
  • lots of new parts:
      □ ADI analog parts, which make use of split schematics and SPICE output,
        a new feature sponsored by Analog Devices we will write more about soon
      □ Intel Galileo, sponsored by Intel Education
      □ Arduino Yún, supported by Arduino
      □ Linino One, sponsored by doghunter
      □ ChipKIT WF32, MX4 and shields, thanks to Digilent (more to come)
      □ Spark Core, thanks to spark community member technobly
      □ Atlas Scientific sensors, thanks to Atlas Scientific
      □ more Raspberry Pi versions (A, B, B rev2)
      □ Teensy 3.0/3.1, because we love it
      □ several contributed parts, thanks to FrodeLillerud and others
  • several bug fixes and tweaks

Also see the release blog post.

Jan. 24, 2014

Main release 0.8.7b

some schematic parts had reversed connectors

Jan. 22, 2014

Main release 0.8.6b

  • schematic view: all core parts now conform to a .1 inch grid (many thanks
    Fabian)
  • ratsnest wires now drawn with dashed lines
  • updated examples (many thanks Nushin)
  • updated French translation (thanks Roald)
  • gerber export: separate plated and unplated drill holes
  • more tips and tricks
  • bug fixes:
      □ offset silkscreen layer on rectangle pcbs
      □ part labels rotate along with part
      □ wire colors: orange was green
      □ set logo-text and netlabel from the text-entry widget at the top of the
        Inspector (this used to set part label)
      □ Mavericks ground fill crash
      □ Arduino part fixes
      □ equipotential highlight disappearing after wire color change
      □ wire self-connection prevention was broken
      □ disappearing wires in schematic or pcb view when parts were directly
        connected in breadboard view

Dec. 17, 2013

Main release 0.8.5b

  • another handful of styling changes
  • ICSP and ICSP-less Arduinos
  • bug fixes:
      □ infinite loop at startup for some languages
      □ Welcome View print crash
      □ Arduino swap crash
      □ Windows XP compatibility
      □ Note button incorrectly disabled

Dec. 15, 2013

Main release 0.8.4b

  • Fritzing gets a facelift! (special thanks to Christian and Fabian)
  • new Welcome view
  • new Fritzing Creator Kit examples (in both English and German)
  • Tips and Tricks updated
  • First Time Help now a separate dialog
  • binaries built using Qt 4.8.5
  • updated Dutch translation (thanks Dave)
  • updated German translation
  • new parts:
      □ Breadboard BB 301 (contributed by Jeremy)
      □ RGB LED WS2812
  • bug fixes:
      □ Mac OSX Mavericks Parts Bin Hover crash
      □ Saving files with custom parts: sometimes the fzp did not list the
        latest svg files
      □ Boost 1.54 bug no longer crashes Fritzing
      □ Many part tweaks

July 26, 2013

Main release 0.8.2b

fixes a bug in the Half+ Breadboard part, and a few others.

July 25, 2013

Main release 0.8.1b

  • 1000 new parts!
  • parts bin 'and' search implemented (use a space to separate terms)
  • stripboards now with both horizontal and vertical strips plus RS 276-150
    layout
  • active layer button controls which side copper-fill fills
  • updated French translation (thanks Yvan)
  • updated German translation
  • new Bulgarian translation (thanks Nikolay)
  • a couple more new parts:
      □ TI Launchpad
      □ Raspberry Pi (rev 2)
  • bug fixes:
      □ Arduino Mega 2560 R3 repaired
      □ Teensy 3.0 repaired
      □ Raspberry Pi repaired
      □ Atmega 5mm tqfp replaced with an 8mm version
      □ netlabels were misbehaving when flipped or rotated
      □ Lilypad Mainboard no longer missing
      □ Generic IC DIP pcb-layer option repaired
      □ Autorouter crash eliminated
      □ Parts Editor was not saving pin assignments if loaded SVG files had no
        connector IDs
      □ export etchable was missing silk bottom layer
      □ removed mystery circles on silk bottom of some custom pcb shapes

June 13, 2013

Main release 0.8.0b

  • pcb view:
      □ view sketches from either 'above' or 'below'
      □ place THT parts "through" the top or bottom of the board
      □ silkscreen bottom layer support
      □ new Fritzing Fab price-quote feature
      □ drc now checks if connectors on the same part overlap
      □ board 'stickyness' is now disabled by default
      □ copper fill keepout setting on the ground fill submenu
  • schematic view improvements (sponsored by Analog Devices Inc.):
      □ rotation and flip are enabled for all parts
      □ when flipping or rotating parts, text elements remain upright and do
        not mirror
      □ new voltage label and voltage source parts--the older versions are now
        obsolete
  • inspector:
      □ 'placement' properties grouped together
      □ new widgets to display and modify part coordinates and rotation
      □ editable comboboxes are now graphically distinct from drop-downs
  • new parts:
      □ a big bundle of Arduino microcontrollers
      □ a set of Lilypad parts
      □ Teensy 3.0
      □ Raspberry Pi
      □ a set of textile parts (thanks to Texe SRL)
  • other improvements:
      □ top, left, bottom, right, center alignment functions (available under
        the Part menu)
      □ 'delete plus' is now 'delete'; the former 'delete' is now 'delete
        minus'
      □ parts editor: parts filenames now include a user-supplied prefix
      □ breadboard view: new 'banded' wire style option; new pink wire color
        option
      □ all example sketches updated
      □ easier to select parts beneath other parts (schematic and pcb views)
  • translations
      □ new Turkish translation (thanks Mete)
      □ Dutch translation update (thanks Davy)
      □ Greek translation update (thanks Alexander)
      □ French translation update (thanks Yvan)
      □ Portugese-Brazilian translation update (thanks Gabriel)
  • bug fixes:
      □ obsolete parts were no longer so marked
      □ ratsnest wires were not rubberbanding as parts were dragged or
        free-rotated
      □ default properties were no longer visible in schematic view part labels
      □ fixed wire-color-menu multiple check-marks bug
      □ ground fill 'extensions' weren't clipped to pcb border
      □ 'Mine' bin was no longer current after importing a part
      □ parts editor crashed after all connectors were removed
      □ parts editor was trashing svg element IDs
      □ parts editor: new connectors not named correctly when using the
        connectors tab UI
      □ font-size issue sometimes resulted in missing text in custom parts or
        export
      □ better gerber conversion for some custom parts
      □ some autorouter crashes eliminated

Feb. 25, 2013

Main release 0.7.12b

  • autorouter: remove excess bendpoints
  • gerber export drill files now visible in MSN Gerber Viewer (set the m.n
    format to 2.4)
  • Updated Dutch translation (thanks Davy)
  • Updated Greek translation (thanks Alexander)
  • hide individual part silkscreen
  • imported parts now go to MyParts bin instead of Contrib
  • PNG export now taking much less disk space (thanks Jerome)
  • max pin count for generic IC bumped to 128
  • handful of fixes to DRC
  • find part in sketch (text search)
  • rgb led hole size enlarged
  • lots of little bug fixes

    Jan. 3, 2013

    Main release 0.7.11b

      □ new autorouter
          ☆ rarely breaks DRC
          ☆ handles diagonals
          ☆ misses fewer routing possibilities
          ☆ has variable keepout setting (in autorouter settings dialog)
      □ curvy wires now enabled in pcb and schematic views
      □ use shift-wheel to navigate SVGs in the parts editor; wheel events
        without shift will zoom (or pan) as usual
      □ updated Simplified Chinese translation (thanks Yuelin and Ninjia)
      □ new Bengali translation (thanks Faruk and friends)
      □ improved DRC result highlighting
      □ bug fixes:
          ☆ OCRA font broken under Windows 8
          ☆ free rotate broken when only top view was active (thanks to Gijs
            for spotting the connection)
          ☆ ground fill connections to small vias were being clipped
          ☆ annoying offset when dragging a via from the parts bin

    Oct. 16, 2012

    Main release 0.7.10b

      □ new DRC
      □ bug fixes:
          ☆ parts losing 'family' after editing part metadata (leading to
            "swapping is broken" message)
          ☆ SMD on bottom not reloading properly
          ☆ crash dropping pad part onto schematic view
          ☆ schematic logo text now appearing in printout
          ☆ unblocked schematic logo text editing

    Oct. 9, 2012

    Main release 0.7.9b

      □ new parts editor--phase one (thanks to Shunichi and Tatsuya for
        beta-testing)
      □ SMD parts can be added either to the top or bottom of a two-sided board
      □ updated Greek translation (thanks Alexander)
      □ resize schematic-frame part with text entry or combo box
      □ 'delete plus' function--for those that miss the old 'delete' which
        included attached wires. For wires, this deletes up to the next
        bendpoint.
      □ new parts:
          ☆ Schematic logo items
          ☆ Schematic net labels
      □ bug fixes:
          ☆ "show unrouted" is also available under the routing menu
          ☆ schematic image export: bounding area fix
          ☆ default breadboard now aligned to grid
          ☆ miscellaneous Gerber export fixes
          ☆ culled most red dots (zero length traces) from pcb view
          ☆ text entry problems with notes

    Aug. 14, 2012

    Main release 0.7.7b

    connection changes in one view sometimes resulted in wandering or phantom
    traces in another view resizing a jumper item when there is no pcb caused a
    crash

    Aug. 10, 2012

    Interim release 0.7.6b

      □ deleting a part no longer automatically deletes its connected wires
      □ faster loading time (especially if you open two or more windows)
      □ info view indicates whether a part is obsolete
      □ export etchable now exports both mirrored and non-mirrored at once
      □ paste-mask layer for SMDs added to export for production
      □ new Slovak translation (thanks Ĺubomír)
      □ convert via to bendpoint
      □ default breadboard now matches the one in the starter kit
      □ binaries built with Qt 4.8.2
      □ revert function
      □ new parts:
          ☆ new pinheaders: long pad, molex, "alternating" footprint; new pin
            spacings
          ☆ new stereo jack (thanks Max)
          ☆ new rj45
      □ bug fixes:
          ☆ temp parts could disappear when multiple sketches were open with
            the same temp part (thanks to Jerome and Joerg for help tracking
            this down)
          ☆ no longer possible to draw wires that connect back to themselves or
            that connect redundantly (thanks to Jerome for help tracking this
            down)
          ☆ breadboard view routing-status
          ☆ jpg export quality set to high
          ☆ progress bar for parts bin search
          ☆ copper blocker width- and height- text entry
          ☆ mirrored etchable export was broken
          ☆ default breadboard now matches the one shipped with the kits
          ☆ drc was incorrectly flagging hole parts
          ☆ nasty autorouter bug with split traces
          ☆ dragging from temp to another sketch would fail when reopening the
            other sketch
          ☆ rubber-banding bug when dragging a bendpoint with multiple wires
          ☆ individual ground fill crash bug
          ☆ one more attempt to fix the mac prefs-dialog crash
          ☆ missing contour in export etchable

    July 2, 2012

    Main release 0.7.5b

      □ drag-and-drop from desktop onto Fritzing window will open fritzing
        files
      □ align-to-grid and show-grid default to 'on'
      □ new Greek translation (thanks Alexander)
      □ updated Czech translation (thanks Josef)
      □ updated German translation
      □ PCB View:
          ☆ Fritzing now supports multiple pcbs in a single sketch
          ☆ streamlined custom pcb shape file import
          ☆ can modify pin size for pinheaders, screwterminals, generic sips
            and dips, and mystery parts
          ☆ pcb "stickiness" is now a setting (i.e. whether parts on a pcb stay
            in place or follow along when a pcb is dragged)
          ☆ 'pad' part can now be placed on either copper0 or copper1
          ☆ right-click to convert a bendpoint to a via
      □ new parts:
          ☆ arduino nano 3.0
          ☆ resizable ellipse pcb
          ☆ resizable copper fill "blocker"
          ☆ ardiuno mega shield pcb
          ☆ mini-breadboard
          ☆ 3-axis accelerometer breakout (thanks azharul)
          ☆ PCF8574 (thanks c.sgamba)
          ☆ S1133 Si Photodiode (thanks Nick)
          ☆ double-row THT pin headers
          ☆ micro-SD socket
          ☆ 4-pin audio jack
          ☆ new pin header spacings
      □ bug fixes:
          ☆ 'open' menu item now opens all Fritzing files; no more separate
            'import' menu items
          ☆ all grid options can be found on the view menu
          ☆ added support for <use> elements in svgs
          ☆ more reliable panning when spacebar is down
          ☆ hole parts align to grid
          ☆ routing status fixes in pcb view
          ☆ simple pcb autoplacement fix
          ☆ locked copper fill parts are not deleted if the copper fill
            function is invoked again
          ☆ armel/linux compiler errors fixed
          ☆ OSX Preferences dialog crash finally fixed?
          ☆ export etchable no longer including board silkscreen on all layers

    April 10, 2012

    Main release 0.7.4b

    fixed the resistor bugs introduced in 0.7.3

    April 10, 2012

    Main release 0.7.3b

      □ show grid!
      □ vias and holes are easier to select and drag (2-pixel border around the
        connector)
      □ updated Chinese (Simplified) translation (thanks Yuelin and Ninjia)
      □ bug fixes:
          ☆ export etchable svg/pdf copper layering error
          ☆ fit-to-window is working again
          ☆ dragging a breadboard full of parts under certain circomstances
            would result in messed up connections (thanks to Rainer for a good
            test case)
          ☆ custom parts are saved with a sketch only when they are actually
            being used in the sketch
          ☆ fixed bendable-leg click-to-disconnect bug
          ☆ more warnings that Fritzing can't handle multiple pcbs for certain
            operations, and fixed a crash involving same
          ☆ incorrect BOM aggregation
      □ new parts:
          ☆ Digital Panel Meter, RFM 12B transceiver, Aries 28W ZIF (thanks
            redbyer, ghalfacree)
          ☆ Color Sensor breakout, SHT-15 humidity sensor (thanks wreutz)
          ☆ M5450 LED Driver (thanks Christopher)

    March 10, 2012

    Main release 0.7.1b

      □ new parts:
          ☆ pad part: a pcb-only resizable rectangular SMD connector
          ☆ arduino: wireless sd shield, prototyping shield, xbee libellium
            shield
          ☆ pololu vnh2sp30 motor driver (thanks davidjthomasson)
          ☆ atmega 168 updated; 328 added; 168 SMD added (thanks daniel.kuku)
          ☆ humidity sensor (thanks martumv)
          ☆ 2-pin 2.54mm crystal (thanks jksoft)
          ☆ ATtiny 85 (thanks mattiafrancescomoro)
          ☆ STM32F103 (thanks perikov)
          ☆ Edgy Analog In
      □ copper fill:
          ☆ new ground fill seeds feature: you can specify which connectors are
            used as "ground"
          ☆ a couple of leaking ground fill bugs fixed
          ☆ 2mm no-fill border at board edges
      □ export:
          ☆ for production: any silkscreen that would print over copper
            connectors is now masked out
          ☆ svg export layering order bug fix
          ☆ for production: mask files output for pdf and svg export
      □ ratsnest delete logic improved
      □ new 7-segment display example
      □ Czech translation update (thanks Josef)
      □ a handful or two of miscellaneous bug fixes

    Feb. 3, 2012

    Main release 0.7.0b

      □ we have gone beta
      □ breadboard view now has ratsnest lines: no more wire mess in breadboard
        view when you work in other views
      □ ratsnest and wire colors are now standardized across the 3 views
      □ Fritzing always "saves as shareable": the .fzz file format is now
        standard; .fz files are read-only
      □ new "temp" bin holds custom parts that are loaded with sketches--no
        more annoying messages about saving the 'my parts' bin
      □ the contents of the Inspector no longer update as you hover the mouse.
        Shift-hover works like the old hover.
      □ new resize handles on rectangular boards and logo items, and
        free-rotation for logo items (use the alt key)
      □ a new Czech translation (thanks Josef)
      □ a new Korean translation (thanks Jinbuhm)
      □ ground fill now attaches directly to grounded connectors
      □ new parts: Adafruit Atmega 32u, variable caps (thanks Stefan); Sparkfun
        6DOF, OpenLog (thanks Andre); D31A Relay (thanks Frank)
      □ bug fixes
          ☆ ubuntu linux: made it easier to launch from the script rather than
            the executable (the latter is responsible for a number of
            problems).
          ☆ mac: fixed a handful of crash bugs.

    Jan. 3, 2012

    Main release 0.6.5b

      □ Mac build is (once again) universal binary (Cocoa). Should run on all
        platforms supporting OS X 10.5 and up.
      □ bug fixes:
          ☆ disappearing rotated part labels
          ☆ occasional start up crash if no earlier version of fritzing had
            been run
          ☆ generic single male smd pinheader crash
          ☆ ...

    Dec. 16, 2011

    Main release 0.6.4b

      □ binaries built with Qt 4.8--you should see some speedup on all
        platforms
      □ new parts bin navigation
      □ 360° rotation of parts in breadboard and pcb view (just hover over a
        corner, then drag around)
      □ a simple dialog for changing the pin labels of generic ICs without
        using the parts editor
      □ a choice of plain copper fill or ground fill
      □ updated Portuguese translations (thanks Nuno)
      □ another batch of SparkFun parts (thanks Lionel, Nathan, Ryan, Robert)
      □ a set of shields from Snootlab (thanks Lionel and Lionel)
      □ three new JeeLabs parts (thanks Jean-Claude)
      □ shrouded pin headers in a full range of pin counts (thanks Jean-Paul,
        Lionel)
      □ smd pin headers in a full range of pin counts (thanks Stefan)
      □ ecb transistors, 3mm leds, superflux leds, 5 band resistors, atmega
        2560, ssop 28, rotary encoder (thanks Stefan),
      □ parts submitted by the community and added to the core
          ☆ fuse and low dropout voltage regulator (thanks Johan)
          ☆ atmega644 (thanks Macgyveremir)
          ☆ hcf 4067 (thanks Forvellos)
          ☆ real time clock breakout (thanks Mike)
          ☆ hef 4094 (thanks SorkiG)
          ☆ rgb 3 watt star (thanks Niclas)
          ☆ db-25 connectors (thanks Kungfumachinist)
          ☆ wiz820io (thanks Jinbuhm)
      □ lots of bug fixes, including
          ☆ missing part labels
          ☆ crash on mac when setting resistance values
          ☆ misaligned pins on generic SMD ICs in breadboard view
          ☆ a bunch of gerber export fixes

    Aug. 18, 2011

    Main release 0.6.3b

      □ rubber-band legs for many parts in breadboard view (see the blog post
        for details)
      □ bezier curves for wires and rubber-band legs in breadboard view (see
        the blog post for details)
      □ more intelligent connection handling when swapping dissimilar parts
      □ easier to select small traces in pcb view
      □ more extensive cursor feedback (thanks Stefan)
      □ will search std linux folders for datafolders (/usr/share/fritzing, /
        usr/local/share/fritzing, ~/.local/share/fritzing)
      □ wider range of LED colors
      □ added 4.8V battery (thanks Dirk), SparkFun ACS712
      □ moved some options from the View menu to Preferences
      □ bug fixes, mostly around Gerber export. In particular, part labels are
        now more accurately rendered to Gerber.

    July 11, 2011

    Main release 0.6.2b

      □ fixed a few bugs in 0.6.0 including incorrect ratsnest lines and copper
        fill blobs
      □ a lovely new half-breadboard part (thanks Alan)

    July 10, 2011

    Main release 0.6.1b

    Windows-only update; 0.6.0b was missing a couple of plugin files. If you've
    already downloaded 0.6.0b and it is working, no need to update.

    July 9, 2011

    Main release 0.6.0b

    New Features

      □ Full support of SMD parts (now you can use those really tiny parts)
      □ A new set of SMD parts and generics (drop in a part, then "swap" it for
        an SMD version; with thanks to Daniel Tzschentke)
      □ A bin of SparkFun parts (find them in File > Parts Bin > Open >
        SparkFun; with thanks to SparkFun and Lionel Michel)
      □ Perfboard and stripboard--yes you can "cut" it (breadboard
        alternatives, by popular demand)
      □ A new layout for the core parts bin

    Improvements & Small Additions

      □ Resistors now with tolerance band (for super-precise designs)
      □ Simplified design of the part inspector (easier on the eyes)
      □ Graphics and text on PCB copper layers (for more flexibility in
        etching)
      □ Improved bill of materials (for a better shopping experience)
      □ Document description frame for schematics (for that proper engineering
        look)
      □ OHANDA, OSHW logos (for marking your open-source hardware pcb)
      □ PCB is now double-sided by default (can be changed in the inspector)
      □ Gerber output fixes (it's right-side up now)
      □ Autorouter now also uses Vias
      □ Linux built on 10.04.2 LTS

    ..and many bug fixes and more small improvements.

    Feb. 18, 2011

    Main release 0.5.2b

    fixed: crash bug when deleting a part with custom properties; crash bug
    when closing the parts editor without showing anchor points

    Feb. 15, 2011

    Main release 0.5.1b

    fixed: off-board parts were crashing the autorouter

    Feb. 11, 2011

    Main release 0.5.0b

      □ Completely new autorouter! (see blog post)
      □ Nicer footprints for standard parts
      □ Capacitors have been reorganized (and capacitance can be set to any
        value)
      □ "Locking" for parts (so they're not accidentally moved)
      □ New Design Rules Check (use before pcb production)
      □ Trace wire thickness can vary from 8 to 128 mils
      □ New parts:
          ☆ Netduino Mini and Netduino Plus (thanks to Stanislav Simicek)
          ☆ Teensy 2.0 and Teensy 2.0++ (thanks Lionel Michel)
          ☆ a set of four logic gates parts (thanks bastardinside92)
      □ Translations:
          ☆ new Portuguese (Brazilian) translation (thanks to Arthur Zanona)
          ☆ updated Chinese (Simplified) translation (thanks to Yuelin and
            Ninjia)
      □ Many bug fixes/new bugs created

    Sept. 30, 2010

    Main release 0.4.3b

      □ much easier on the eyes, faster, and smaller files: reduced rats nests
        (see the blog post)
      □ no more jumper wire/item confusion (got rid of the legacy 'wires')
      □ now building with latest Qt (4.7.0) under pc, mac, and linux
      □ added a 64-bit intel build to the mac bundle
      □ new parts:
          ☆ Netduino (thanks to Stanislav Simicek)
          ☆ GLCD (thanks to PBFever)
          ☆ 9V battery (thanks to Lionel Michel)
          ☆ GogoBoard (thanks again Lionel--and to GogoBoard for supporting the
            work)
          ☆ Arduino Ethernet Shield, Digital Potentiometer, Barometric Pressure
            Sensor, Flex Sensor (thanks to Tom Igoe)
      □ many bug fixes; in particular--thanks to Qt 4.7--Fritzing on Mac no
        longer crashes if you're running Universal Access (or Cinch)

    Aug. 6, 2010

    Main release 0.4.2b

      □ Linux: now building with Qt 4.6.3 under ubuntu 8.04.4; unlike Fritzing
        0.4.1, this download should be compatible with ubuntu releases 8.04.4
        and up
      □ very experimental (use at your own risk) "speed hack" added to trace
        menu: speeds up Fritzing when there are a lot (~50 or more) of
        interconnected parts in a sketch
      □ experimental ratsnest wire functionality: double click to create a
        trace; drag to create a trace with a bendpoint; delete to delete
        corresponding wires in other views
      □ jumper items: rotate and align to grid
      □ on double-sided boards, right-clicking a trace gives an option to move
        the trace from one side of the board to the other
      □ bug fixes: a crash bug that occured sometimes on one-sided boards when
        hand- or auto- routing, and the linux32 70% crash
      □ new parts: lilypad, arduino pro mini (thanks Lionel)

    July 18, 2010

    Main release 0.4.1b

      □ linux32: crashing at 70% file load (with jumper items) fixed
      □ mac: border around zoomslider removed (thanks to bryant mairs)
      □ windows: faster serial port enumeration in program window
      □ crash bug on some of the sparkfun footprints converted from eagle/kicad
      □ experimental kicad schematic (lib) file import
      □ a few bug fixes

    July 6, 2010

    Main release 0.4.0b

      □ Double-sided boards (intro in blog)
      □ Autosave (to restore your files in case Fritzing crashes, with thanks
        to Bryant Mairs)
      □ Mounting holes and vias
      □ Import for KiCad footprints
      □ Sparkfun footprints (converted using the above importer, in contrib/svg
        /pcb)
      □ Programming window (experimental, with thanks to Bryant Mairs)
      □ Design rule check (for testing if your board has any production
        problems)
      □ New parts: Arduino Mini, Arduino Fio, PICAXE, Darlington, ..
      □ New examples: double-sided versions of some examples
      □ Small improvements:
          ☆ infoview is a little more informative and maybe a little faster
          ☆ jumper items get a silkscreen layer
          ☆ meta-key replaces alt-key in drag-functions under linux
          ☆ mac dialogs more mac standardized (thanks to bryant mairs)
          ☆ Bug fixes, including gold traces in schematic view, wires to
            nowhere in breadboard and schematic views

    April 16, 2010

    Main release 0.3.19b

      □ fixes autorouter crash bug in 0.3.17b
      □ fixes linux drag-n-drop crash bug in 0.3.17b
      □ New basic parts: resonator, tantalum caps, multilayer caps, zener
        diode, schottky diode
      □ New microcontroller parts: Wiring (incl. Mini and USB Adapter),
        Parallax Propeller, Parallax Basic Stamps (thanks to support from
        Wiring and Parallax)
      □ SMD footprint support (though still single-sided)
      □ Import of gEDA footprints (through parts editor, plus 1,000 converted
        footprints available in parts/svg/contrib/pcb)
      □ Speed-ups in breadboard dragging and inspector
      □ Visual distinction of plurals in parts bin
      □ Layers palette
      □ Drag-n-drop across sketch windows
      □ Mouse wheel can be set to either scroll or zoom
      □ ..and of course numerous bug fixes

    Feb. 25, 2010

    Main release 0.3.16b

      □ Snap to grid (experimental, switch it on in the View menu)
      □ Use arrow keys to move parts around (hold Shift to move by ten steps)
      □ Improved rats nest coloring (less obtrusive, and more reliable dimming
        if a net has been routed)
      □ Replaced zoom widget by a nice slider
      □ Now fits on netbook screens as well (side-effect of the above)
      □ New parts: RGBB LED, LCD screen, slider pot, small rotary knob pot,
        Arduino pico (thanks to Brian Evans), more mystery parts
      □ Dutch translation (thanks to Steven Noppe)
      □ Bug fixes

    Feb. 3, 2010

    Main release 0.3.15b

      □ Chinese (Traditional) translation thanks to Robert Lee
      □ Bug fixes
      □ Linux version built with Qt 4.6.1

    Dec. 23, 2009

    Main release 0.3.14b

      □ new parts: mbed microcontroller
      □ part search
      □ snappier graphics performance courtesy of Qt 4.6
      □ bug fixes

    Dec. 11, 2009

    Main release 0.3.13b

      □ New parts: Arduino Mega, XBee, ADXL accelerometer
      □ Add text and images to pcb silkscreen for gerber export--this feature
        is still experimental
      □ Resizable redesigned ruler
      □ New examples: MIDI Drum Kit, Parking Assistant
      □ Bug fixes

    Nov. 26, 2009

    Main release 0.3.12b

      □ more new parts
      □ mystery parts with choice of footprints
      □ export etchable includes board outline
      □ print and export pdf now handle sketches bigger than a printer page
      □ new ground and power symbol behavior in schematic view
      □ bug fixes, including a couple of crash-bugs

    Nov. 6, 2009

    Main release 0.3.10b

    Note this update fixes an error in 0.3.9 which we posted just hours ago.
    Sorry!

      □ Revised footprints for many parts (bigger pads for easier manual
        production)
          ☆ In order to make use of them in existing sketches, click on "Part >
            Select outdated parts".
      □ New parts:
          ☆ Customizable DIP & SIP ICs (no need to fiddle with the graphics
            outside of Fritzing anymore)
          ☆ Customizable Resistor (any value is now allowed)
          ☆ Editable labels for DIP, SIP and mystery parts
          ☆ Pin headers, screw terminals and mystery parts in any length
          ☆ Web-based part generator is therefore now obsolete
          ☆ RFID reader module (thanks Tuommo)
          ☆ DIN-5 MIDI jack
      □ Many parts editor bug fixes
          ☆ Connector editing should finally work reliably
          ☆ Resizable, so that you have more space to look at a part
      □ Real jumper wires with pads (for PCB layout, placed manually or during
        autorouting)
      □ More translations
          ☆ Russian translation (thanks Vladimir)
          ☆ Chinese (Simplified) translation (thanks Ninjia and Yuelin)
          ☆ Japanese translation (thanks Hiroshi)
          ☆ Portuguese (European) translation updated (thanks Nuno)
      □ ..and a lot more bug fixes and improvements.

    Sept. 18, 2009

    Main release 0.3.8b

      □ fixed some parts
      □ Portuguese (European) translation (thanks Nuno)
      □ bug fixes
      □ new parts (including a new breadboard--thanks Giuliano)

    Aug. 14, 2009

    Main release 0.3.6b

      □ change the background color of a fritzing view (in the view menu)
      □ Connector highlighting indicators can be changed from the standard red/
        green colors (in the preferences dialog)
      □ ground and voltage symbols in schematic view
      □ parts editor connectors an terminal points behavior improved
      □ friendlier illustrator import inside parts editor (origin translation)
      □ allMyParts bin generated on startup (to avoid user parts references
        loss)
      □ Projects uploading in the webpage
      □ many bug fixes

    July 3, 2009

    Main release 0.3.5b

      □ Shift-dragging parts constrains movement to vertical or horizontal
      □ Shift-dragging wires constrains the wire to 45° angles (also snaps to
        right angle lines when dragging a bendpoint)
      □ Double-click to add/remove bendpoints
      □ Support for fonts (for use in your part graphics - standard fonts
        supplied)
      □ Parts Editor automatically converts pixels to inches (no need to do
        this by hand anymore!)
      □ Autorouter now tries to route to previously routed traces and
        bendpoints, and routes ground traces last
      □ Schematic view shows proper thick junction points
      □ Tips & Tricks in the Help menu (for some handy shortcuts)
      □ New parts: 74HC595 IC, new Arduino schematic
      □ Parts library reordered (hopefully more sensible now)
      □ Export jpg/png with white background
      □ updated to Qt 4.5.2
      □ Bug fixes (including the Gnome dock activation bug)

    June 23, 2009

    Main release 0.3.4b

  • parts editor crash bug fixed
  • ground fill generator ignores grounded traces
  • notes more visually consistent across platforms
  • wire clipping bug fixed

    June 18, 2009

    Main release 0.3.2b

  • Exporting and importing part bins (for easier exchange)
  • Simple ground fill for PCBs (to make production less wasteful)
  • New part: Ruler (for simple measuring)
  • New examples: Op-Amp, Touch Switch (and lots of cleanup on the others)
  • Visual improvements to schematic view
  • Add a part to a bin directly from the sketch
  • Change wire color through context menu
  • Linux launch script compatible with all shells (thanks to ktq for the hint)
  • Many bug fixes, e.g.: svg exports, autorouter, parts editor (thanks to
    Shigeru for finding some of them)

    June 2, 2009

    Main release 0.3.1b

  • User parts & bins are now stored in the app folder (makes updating Fritzing
    less painful for you)
  • Create bendpoints by simply dragging them out of a wire (also the
    bendpoints' look has been tuned)
  • Highlighting of equipotential connectors (when you mouse-down on a
    connector)
  • Highlighting of unconnected connectors in red (thanks for the suggestion,
    Kai)
  • Schematic view workflow now similar to PCB (with rat's nest and autoroute)
  • Rotating breadboard/Arduino/PCBs (even with parts connected)
  • Tweaks and bug fixes (particularly a couple of 0.3.0 crash bugs: thanks to
    jdolce, merlin13, and kotobuki for alerting us; also thanks to d.toliaferro
    for alerting us to another one)

    May 19, 2009

    Main release 0.3.0b

      □ Resizable and custom-shaped boards (just import one as svg) - Note: You
        now get a rectangle PCB by default, swap for the Arduino Shield if you
        need it
      □ Gerber export (for sending your PCB to professional production)
      □ Multiple parts bins (and more: shareable bins, parts import,
        drag'n'drop reordering)
      □ Big performance boost (thanks to a new release of Qt)
      □ New part: Relay (and did you see the web-based parts generator at http:
        //fritzing.org/parts/generator?)
      □ Italian translation (thanks Gianluca!)
      □ Rotate boards (as long as they are empty)
      □ Lots of other tweaks and fixes

    April 2, 2009

    Main release 0.2.5b

      □ New parts: Pin headers
      □ Parts Editor restyling
      □ Bug fixes

    March 24, 2009

    Main release 0.2.3b

      □ New parts: Arduino Nano, header pins/holes, screw terminals, tilt
        switch, antenna, USB plug, power plug,
      □ First contributed parts: Stepper Motors from petbom!
      □ Examples have descriptive notes with links
      □ Mismatching connectors in parts editor: can be automatically fixed
      □ Changing properties on a part now selects closest match instead of
        giving warning message
      □ Bug fixes

    March 4, 2009

    Interim release 0.2.2b

      □ Shareable import was broken
      □ Fat rat's nest wires in 0.2.1
      □ Some new parts caused export failure

    Feb. 27, 2009

    Interim release 0.2.1b

    swapping was broken under linux and windows

    Feb. 26, 2009

    Main release 0.2.0b

      □ the new parts editor is officially released
      □ french translation
      □ new parts
      □ many bugs fixed; many bugs created

    Feb. 12, 2009

    Interim release 0.1.17b

      □ major parts editor improvements
      □ better synchronization between schematic view and the other views
      □ new mouse hover behavior
      □ part swapping menus ordered numerically, when applicable
      □ "tiny" and "half" breadboards added
      □ added "mystery" parts as placeholders for parts Fritzing doesn't have
        yet

    Feb. 1, 2009

    Interim release 0.1.16b

    mac manual trace wrong color bug fix updated german translation

    Feb. 1, 2009

    Interim release 0.1.15b

    draw traces directly in pcb view traces aren't automatically cleared when
    there are changes to the board (deleting parts or connections still removes
    traces) export-etchable (was export diy) bug fixes simple text notes
    spanish translation (thanks to Kurt Badelt) some new and improved parts
    check for updates new examples

    Jan. 21, 2009

    Interim release 0.1.14b

    swapping was broken in 0.1.13b

    Jan. 20, 2009

    Interim release 0.1.13b

    two bug fixes around delete:
      □ delete followed by view switch was crashing
      □ delete followed by undo in pcb view was generating phantom parts

    Jan. 18, 2009

    Interim release 0.1.12b

      □ fixed some cases in which the autorouter was incorrectly unable to
        route a trace
      □ after the autorouter completes a trace, a clean-up function tries to
        eliminate some of the unnecessary zig-zags
      □ the connection currently being traced is now highlighted
      □ there's a 'stop this trace' button (next to the cancel autoroute
        button). if the autorouter gets stuck for too long on a particular
        trace (or you can see from the highlight that the trace would be
        blocked), clicking 'stop this trace' turns the current trace into a
        jumper wire, and the autorouter goes on to the next trace.

    Jan. 17, 2009

    Interim release 0.1.11b

    New stuff

      □ Bill of materials export (to text file)
      □ Simple labels for parts (more UI work to be done)
      □ New examples for Optocoupler and Voltage Regulator

    Some major bug fixes

      □ Autorouter: Jumping traces after autorouting (resulting in crossed
        wires)
      □ Autorouter: Routing stopped before completion (certain parts were
        mistakenly treated as having buses)
      □ Autorouter: Shift-click to remove bendpoint on traces crash
      □ Export DIY: Wires not lined up propertly with parts they were connected
        to
      □ Export DIY: Certain parts disappeared from export
      □ Delete/undo bug causing view desynchronization
      □ Part bug fixes on Optocoupler, Transistors

    Jan. 9, 2009

    Main release 0.11b

      □ Fixed a nasty copy/paste bug that could destroy your sketch (issue 409)
      □ Fritzing in your language! Starting with German, more to follow.
      □ Preferences dialog, currently just for language setting
      □ New parts: H-Bridge, ATmega168, Temperature Sensor
      □ IC part generator (so far only for experts, in the SVN)
      □ ...and a number of further fixes and enhancements

    Dec. 23, 2008

    Main release 0.1b

    The "Fritzmas" release is the first version of the new Fritzing that we
    tend to call stable. We put a lot of effort into polishing, bug fixing,
    performance improvements and future-proofness (which also means that
    sketches created with older versions are not compatible with the new one).
    We intend to circulate it on a wider base and are encouraging you to try it
    out on more serious projects.

      □ (Hopefully) clearer UI: We put some effort in making the "three
        views"-concept more understandable, with a new view switcher, miniature
        views in the navigator, cross-view icons in the inspector, and a new
        help text on opening Fritzing for the first time.
      □ New website: Based on a new underlying web framework (Django), the new
        website is the foundation for the upcoming social features. Soon you
        will be able to share projects and custom parts.
      □ Refined .fz file format that is (more likely) future-compatible
      □ New parts (big potentiometer, batteries, dc motor) and lots of clean-up
      □ Five new example sketches, including a Fritzmas surprise
      □ Improved synchronization of views (especially for schematic view)
      □ New overall design and styling, with much more space for your sketch
      □ Big speed-up for the breadboard
      □ Export DIY is now vector-based and faster
      □ Improved autorouter
      □ Breadboard parts resized to be closer to actual size
      □ Parts editor connectors view allows for zooming and panning
      □ Connectors, connections, buses, and wires cleaned up
      □ Autorouting can now be undone
      □ ..and many more big and small bug fixes 

    Nov. 24, 2008

    Main release 0.1b

    Lots of improvements :)

    Nov. 12, 2008

    Main release 0.1b

    First preview release of the all-newly programmed Fritzing.
